# FullscreenButtonViewModel

#### new Cesium.FullscreenButtonViewModel(fullscreenElement)
Widgets/FullscreenButton/FullscreenButtonViewModel.js 29

  The view model for `FullscreenButton`.

  Name | Type | Default | Description
  --- | --- | --- | ---
  `fullscreenElement` | Element | String | `document.body` | optional The element or id to be placed into fullscreen mode.

### Members

#### command : Command
Widgets/FullscreenButton/FullscreenButtonViewModel.js 122

  Gets the Command to toggle fullscreen mode.

#### fullscreenElement : Element
Widgets/FullscreenButton/FullscreenButtonViewModel.js 100

  Gets or sets the HTML element to place into fullscreen mode when the corresponding button is pressed.

#### isFullscreen : Boolean
Widgets/FullscreenButton/FullscreenButtonViewModel.js 40

  Gets whether or not fullscreen mode is active. This property is observable.

#### isFullscreenEnabled : Boolean
Widgets/FullscreenButton/FullscreenButtonViewModel.js 53

  Gets or sets whether or not fullscreen functionality should be enabled. This property is observable.

  ##### See:

  - Fullscreen.enabled

#### tooltip : String
Widgets/FullscreenButton/FullscreenButtonViewModel.js 68

  Gets the tooltip. This property is observable.

### Methods

#### destroy()
Widgets/FullscreenButton/FullscreenButtonViewModel.js 140

  Destroys the view model. Should be called to properly clean up the view model when it is no longer needed.

#### isDestroyed() → Boolean
Widgets/FullscreenButton/FullscreenButtonViewModel.js 132

  ##### Returns:

  true if the object has been destroyed, false otherwise.